# Uses of Class
it.tdlight.jni.TdApi.StoryOrigin

## Uses of TdApi.StoryOrigin in it.tdlight.jni

Subclasses of TdApi.StoryOrigin in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.StoryOriginHiddenUser`
The original story was sent by an unknown user.
`static final class`
`TdApi.StoryOriginPublicStory`
The original story was a public story with known sender.
Fields in it.tdlight.jni declared as TdApi.StoryOrigin
Modifier and Type
Field
Description
`TdApi.StoryOrigin`
TdApi.StoryRepostInfo.`origin`
Origin of the story that was reposted.
Constructors in it.tdlight.jni with parameters of type TdApi.StoryOrigin
Modifier
Constructor
Description
``
`StoryRepostInfo(TdApi.StoryOrigin origin, boolean isContentModified)`
Contains information about original story that was reposted.